Subject: Re: Problem backspacing with stdin running bash in rxvt window
From: Bob McGowan <[email-masked]>
To: Garrett Sylvester <[email-masked]>
Cc: [email-masked]
Date: Thu, 09 Dec 1999 13:06:42 -0800

Garrett Sylvester wrote:
> 
> CIRCUMSTANCES:
>   Reading from stdin under bash in rxvt window. Win95 OS. Cygwin 20.1. rxvt version that is pointed
> out on CygWin site. The call to rxvt is:
>                    rxvt -fn "-*-Courier-medium-r-*-13-*" -sl 2000 -e bash.
> PROBLEM:
>    When I write simple C codes that require input from the keyboard ("Enter your nose diameter in
> furlongs") I must type the input exactly right and cannot backspace to correct typing errors
> without getting unintended behavior in the C code. A little experimenting confirms the obvious
> suspicion, namely that the backspace character is just interpreted as part of the intended input.
> This doesn' t happen in the regular DOS-box version of CygWin bash. Is there some fix for this
> too-literal interpretation of the input, such as a change in some environmental variable or setting
> some options in the call opening the rxvt window??

Gerrett,

One possibility comes to mind.  Try running 'stty -a' in the rxvt/bash
window.  Check the output, second line, and see what is defined for
"erase".  I am using xterm, not rxvt, and the output I had showed "erase
= ^?" (that is, the DEL key was setup as the erase character).  It is
also possible (unlikely though, I think) that the definition will say
"<undef>" instead.  If it has some character indicated, try running your
program and use the defined character to erase the input (as a test).

Change the value by typing:
	stty erase '^h' # literally, single quote, carat, letter-h, single
quote.

> Thanks,
> 

Your welcome.  I hope this helps.

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]